#
# spec file for package nn (Version 6.5.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nn
License:      Public Domain, Freeware, Other License(s), see package
Group:        Productivity/Networking/News/Clients
Provides:     nn nn-nntp
Conflicts:    nn-spool nn_spool
Autoreqprov:  on
Version:      6.5.1
Release:      550
Summary:      The nn news reader
Source:       nn-6.5.1.tar.gz
Patch:        nn-6.5.1.dif
Patch1:       sf_warnings.dif

%description
This is the nn news reader (NetNews). It is configured for use as
NNTP news reader.

Authors:
--------
    Kim F. Storm <storm@texas.dk>

SuSE series: n

%prep
%setup
%patch
%patch1

%build
cp config.h-dist config.h
make

%install
chmod u+x inst_ro
./inst_ro

%files
%dir /usr/lib/nn
%dir /usr/lib/nn/help
/usr/bin/nn
/usr/bin/nnadmin
/usr/bin/nnbatch
/usr/bin/nncheck
/usr/bin/nngoback
/usr/bin/nngrab
/usr/bin/nngrep
/usr/bin/nnpost
/usr/bin/nnstats
/usr/bin/nntidy
/usr/bin/nnusage
/usr/bin/nnview
/usr/lib/nn/aux
/usr/lib/nn/back_act
/usr/lib/nn/conf
/usr/lib/nn/help/Manual
/usr/lib/nn/help/adm.upgrade1
/usr/lib/nn/help/adm.upgrade2
/usr/lib/nn/help/adm.upgrade3
/usr/lib/nn/help/adm.upgrade4
/usr/lib/nn/help/adm.welcome
/usr/lib/nn/help/help.attr
/usr/lib/nn/help/help.commands
/usr/lib/nn/help/help.extended
/usr/lib/nn/help/help.help
/usr/lib/nn/help/help.map
/usr/lib/nn/help/help.menu
/usr/lib/nn/help/help.more
/usr/lib/nn/help/help.read
/usr/lib/nn/help/help.set
/usr/lib/nn/help/help.show
/usr/lib/nn/help/help.sort
/usr/lib/nn/help/help.variables
/usr/lib/nn/nnspew
/usr/lib/nn/upgrade_rc
%doc %{_mandir}/man1/nn.1.gz
%doc %{_mandir}/man1/nnacct.1m.gz
%doc %{_mandir}/man1/nnadmin.1m.gz
%doc %{_mandir}/man1/nncheck.1.gz
%doc %{_mandir}/man1/nngoback.1.gz
%doc %{_mandir}/man1/nngrab.1.gz
%doc %{_mandir}/man1/nngrep.1.gz
%doc %{_mandir}/man1/nnpost.1.gz
%doc %{_mandir}/man1/nnstats.1m.gz
%doc %{_mandir}/man1/nntidy.1.gz
%doc %{_mandir}/man1/nnusage.1m.gz
%doc %{_mandir}/man1/nnview.1.gz
%doc %{_mandir}/man8/nnmaster.8.gz
%doc %{_mandir}/man8/nnspew.8.gz

%changelog -n nn
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon Dec 04 2000 - schwab@suse.de
- Use traditional preprocessor to process makefile.
* Fri May 26 2000 - fehr@suse.de
- add patch from Patrick D'Cruze to support more than 32767 newgroups
* Wed Mar 01 2000 - kukuk@suse.de
- Remove requires nntp_daemon, it is wrong
- Move /usr/man -> /usr/share/man
- Link against ncurses
* Mon Sep 20 1999 - ro@suse.de
- added requires nntp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
  using dirty trick for install
* Sun Apr 13 1997 - florian@suse.de
- update to new version 6.5.1
